Package org.drinkless.tdlib

# Class TdApi.GetChatPostedToChatPageStories

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Stories>
org.drinkless.tdlib.TdApi.GetChatPostedToChatPageStories

Enclosing class:
  TdApi

public static class TdApi.GetChatPostedToChatPageStories extends TdApi.Function<TdApi.Stories>
Returns the list of stories that posted by the given chat to its chat page. If fromStoryId == 0, then pinned stories are returned first. Then, stories are returned in a reverse chronological order (i.e., in order of decreasing storyId). For optimal performance, the number of returned stories is chosen by TDLib.

Returns `Stories`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `fromStoryId`
  Identifier of the story starting from which stories must be returned; use 0 to get results from pinned and the newest story.
  `int`
  `limit`
  The maximum number of stories to be returned For optimal performance, the number of returned stories is chosen by TDLib and can be smaller than the specified limit.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetChatPostedToChatPageStories()`
  Default constructor for a function, which returns the list of stories that posted by the given chat to its chat page.
  `GetChatPostedToChatPageStories(long chatId, int fromStoryId, int limit)`
  Creates a function, which returns the list of stories that posted by the given chat to its chat page.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier.

  - ### fromStoryId

    public int fromStoryId
    Identifier of the story starting from which stories must be returned; use 0 to get results from pinned and the newest story.

  - ### limit

    public int limit
    The maximum number of stories to be returned For optimal performance, the number of returned stories is chosen by TDLib and can be smaller than the specified limit.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetChatPostedToChatPageStories

    public GetChatPostedToChatPageStories()
    Default constructor for a function, which returns the list of stories that posted by the given chat to its chat page. If fromStoryId == 0, then pinned stories are returned first. Then, stories are returned in a reverse chronological order (i.e., in order of decreasing storyId). For optimal performance, the number of returned stories is chosen by TDLib.

    Returns `Stories`

  - ### GetChatPostedToChatPageStories

    public GetChatPostedToChatPageStories(long chatId, int fromStoryId, int limit)
    Creates a function, which returns the list of stories that posted by the given chat to its chat page. If fromStoryId == 0, then pinned stories are returned first. Then, stories are returned in a reverse chronological order (i.e., in order of decreasing storyId). For optimal performance, the number of returned stories is chosen by TDLib.

    Returns `Stories`

    Parameters:
      `chatId` - Chat identifier.
      `fromStoryId` - Identifier of the story starting from which stories must be returned; use 0 to get results from pinned and the newest story.
      `limit` - The maximum number of stories to be returned For optimal performance, the number of returned stories is chosen by TDLib and can be smaller than the specified limit.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Stories>`
    Returns:
      this.CONSTRUCTOR